Bug 195833 - mouse button emulation missing (MacBook)
mouse button emulation missing (MacBook)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-18 08:58 EDT by Jurgen Kramer
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-06 20:00:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to enablew mouse button emulation on x86 macs (1.20 KB, text/x-patch)
2006-08-19 09:31 EDT, Jurgen Kramer
no flags Details
patch to enable mouse button emulation on x86 macs (1.20 KB, text/x-patch)
2006-08-19 09:31 EDT, Jurgen Kramer
no flags Details

  None (edit)
Description Jurgen Kramer 2006-06-18 08:58:25 EDT
Description of problem:
The module for 3 button mouse emulation is missing (mac_hid), therefore there is
no way to right click using the built in touchpad

Version-Release number of selected component (if applicable):
kernel-2.6.16-1.2289_FC6 (Rawhide 16-Jun-06)

How reproducible:
Always

Steps to Reproduce:
1. Try to enable mouse button emu:
2. echo "1" > /proc/sys/dev/mac_hid/mouse_button_emulation
3. 
  
Actual results:
/proc/sys/dev/mac_hid is not there

Expected results:
mouse button emulation supported / configured at install time ?

Additional info:
Comment 1 Jurgen Kramer 2006-08-19 09:29:04 EDT
To get mouse button emulation to work the kernel must be compiled with
MAC_EMUMOUSEBTN enabled. Normally this function is only available on PPC Macs.
Please consider attached patch (from www.mactel-linux.org)

Without this patchs Mactel are no very usable under X without an external mouse.
Comment 2 Jurgen Kramer 2006-08-19 09:31:06 EDT
Created attachment 134508 [details]
patch to enablew mouse button emulation on x86 macs
Comment 3 Jurgen Kramer 2006-08-19 09:31:15 EDT
Created attachment 134509 [details]
patch to enable mouse button emulation on x86 macs
Comment 4 Jurgen Kramer 2006-08-24 13:04:05 EDT
OK, this bug has been ignored for several months now. It would be nice if
someone would actually do something with it. Thanks.
Comment 5 Jurgen Kramer 2006-09-11 14:09:23 EDT
Any chance this will be fixed before the release of FC6?
Comment 6 Chuck Ebbert 2007-11-06 20:00:54 EST
Fixed in F7 and F8.

Note You need to log in before you can comment on or make changes to this bug.